<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use App\Rules\ExistRule;
use EF;

class MinuteSheetRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        EF::errorMessage("Required form validation.");

       $current_path = url()->current();

       if ($current_path === url('minutesheetcommit')) 
       {
           return $this->getValidationList();

           return $validation;
       }
       elseif ($current_path === url('minutesheetupdate')) 
       {

           return $this->getValidationList();

           $validation += ['minute_sheet' => ['required', new ExistRule('minute_sheets','id')]];





            return $validation;
       }
    }

     public function getValidationList()
    {

     

        $validation = $this->input();

        return [

           

            'title'       => 'required|min:1|max:50',

            'date'        =>'required|date|date_format:Y-m-d',
            
        ];
    }
}
